<?php

namespace Slovocast\Handler\Channel\Page;

use Odan\Session\SessionInterface;
use Psr\Http\Message\ResponseInterface as Response;
use Slovocast\Handler\Handler;

class CreateChannelPage extends Handler
{
    public function __construct(
        private SessionInterface $session
    ) { }

    public function handle(): Response
    {
        $formKey = $this->session->get("form_key");
        return $this->render('channel/create.twig', [ 'form_key' => $formKey ]);
    }
}
